@font-face {
    font-family: 'Garant-Semibold';
    src: url('./font/Garant-SemiBold.otf') format('opentype');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Garant-Regular';
    src: url('./font/Garant-Regular.otf') format('opentype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}



body,
button,
span,
div {
    font-family: 'Arial', sans-serif !important;

}

.navbar-container {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 9999;
    display: flex;
    gap: 10px;
    border: 1px solid transparent;
    background:
        linear-gradient(to bottom, #784B2E 0%, #D8C4A1 52%, #574131 100%) padding-box,
        linear-gradient(to bottom, #CF973C 0%, #F6E791 51%, #CF973C 100%) border-box;

    border-radius: 12px;
    padding: 8px;
    backdrop-filter: blur(10px);
}

/* Tab Buttons */
.navbar-tab {
    padding: 6px 60px;
    border: none;
    background: #FFF5E3;
    color: #5D4B3E;

    font-size: 20px;
    font-weight: 500;
    cursor: pointer;
    border-radius: 8px;
    transition: all 0.3s ease;
    outline: none;
    position: relative;
}

.navbar-tab:hover {
    background: rgba(255, 255, 255, 0.1);
}

.logo {
    position: fixed;
    top: 20px;
    left: 20px;
    height: 100px;
    z-index: 10000;
}

.navbar-tab.active {
    background: linear-gradient(216deg, #CF973C -9.66%, #F6E791 57.58%, #CF973C 122.18%);
    position: relative;
}

.navbar-tab.active::before {
    content: '';
    position: absolute;
    inset: -2px;
    background: linear-gradient(to right, #8E562F 0%, #F6E791 100%);
    border-radius: 10px;
    z-index: -1;
}

.side-tools {
    position: fixed;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 10px;
    z-index: 9999;
}

.tool-button {
    width: 38px;
    height: 38px;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #5D4B3E;
    background: linear-gradient(180deg, #B58C49 0%, #D8C4A1 37.98%, #BD9768 100%);
    font-size: 18px;
    font-weight: 550;
    cursor: pointer;
    border-radius: 6px;
    transition: all 0.3s ease;
    outline: none;
    position: relative;
}

.tool-button:hover .tooltip {
    display: block;
    position: absolute;
    top: 50%;
    right: 110%;
    transform: translateY(-50%);

    color: #fff;
    padding: 4px 8px;
    border-radius: 4px;
    font-size: 13px;
    white-space: nowrap;
}

.tooltip {
    display: none;
}

/* Responsive Design */
@media (max-width: 600px) {
    .navbar-container {
        width: 80%;
        justify-content: center;
    }

    .navbar-tab {
        padding: 6px 0;
        flex: 1;
        border: none;
        background: #FFF5E3;
        color: #5D4B3E;

        font-size: 16px;
        font-weight: 550;
        cursor: pointer;
        border-radius: 8px;
        transition: all 0.3s ease;
        outline: none;
        position: relative;
    }

    .logo {

        height: 60px;

    }

    .side-tools {
        gap: 8px;
    }

    .tool-button {
        width: 32px;
        height: 32px;
    }
}